Deploy New ERC1155 Contract

Deploy New ERC1155 Contract with the given name, symbol base_uri and various other parameters

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body to deploy a new erc1155 contract.

base_uri is the base uri of the contract. This should have a trailing slash. Example base_uri is https://ipfs.com/my-cool-nft/.

string
required

The name of the contract

string
required

The token symbol of the contract

string
required

The base uri of the contract. This should have a trailing slash.

number

The royalty basis points for the contract. This is the percentage of the sale price that the creator will receive. Example: 1000 basis points corresponds a 10% royalty

string

The wallet address that will receive the royalty payments

boolean

If true, the tokens are transfer restricted. If false, the tokens are transferable. Default is false

transfer_allowlist
array of strings

The list of wallet addresses that are allowed to transfer the tokens. This is only used if transfer_restricted is true. Default is an empty list

transfer_allowlist
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json